Package org.apache.wiki.providers

# Class WikiPageAdapterProvider

java.lang.Object
org.apache.wiki.providers.WikiPageAdapterProvider

All Implemented Interfaces:
  `org.apache.wiki.api.providers.PageProvider`, `org.apache.wiki.api.providers.WikiProvider`

@Deprecated public class WikiPageAdapterProvider extends Object implements org.apache.wiki.api.providers.PageProvider
Deprecated.
adapted provider should use `PageProvider` instead.
This provider ensures backward compatibility with page providers not using the public API. As providers should use the public API directly, the use of this class is considered deprecated.

See Also:
  - `PageProvider`

## Field Summary

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

## Constructor Summary

Constructors
Constructor
Description
`WikiPageAdapterProvider()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`deletePage(String pageName)`
Deprecated.
`void`
`deleteVersion(String pageName, int version)`
Deprecated.
`Collection<org.apache.wiki.api.search.SearchResult>`
`findPages(org.apache.wiki.api.search.QueryItem[] query)`
Deprecated.
`Collection<org.apache.wiki.api.core.Page>`
`getAllChangedSince(Date date)`
Deprecated.
`Collection<org.apache.wiki.api.core.Page>`
`getAllPages()`
Deprecated.
`int`
`getPageCount()`
Deprecated.
`org.apache.wiki.api.core.Page`
`getPageInfo(String page, int version)`
Deprecated.
`String`
`getPageText(String page, int version)`
Deprecated.
`String`
`getProviderInfo()`
Deprecated.
`List<org.apache.wiki.api.core.Page>`
`getVersionHistory(String page)`
Deprecated.
`void`
`initialize(org.apache.wiki.api.core.Engine engine, Properties properties)`
Deprecated.
`void`
`movePage(String from, String to)`
Deprecated.
`boolean`
`pageExists(String page)`
Deprecated.
`boolean`
`pageExists(String page, int version)`
Deprecated.
`void`
`putPageText(org.apache.wiki.api.core.Page page, String text)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WikiPageAdapterProvider

public WikiPageAdapterProvider()
Deprecated.

## Method Details

### initialize

public void initialize(org.apache.wiki.api.core.Engine engine, Properties properties) throws org.apache.wiki.api.exceptions.NoRequiredPropertyException, IOException
Deprecated.

Specified by:
  `initialize` in interface `org.apache.wiki.api.providers.WikiProvider`
Throws:
  `org.apache.wiki.api.exceptions.NoRequiredPropertyException`
  `IOException`

### getProviderInfo

public String getProviderInfo()
Deprecated.

Specified by:
  `getProviderInfo` in interface `org.apache.wiki.api.providers.WikiProvider`

### putPageText

public void putPageText(org.apache.wiki.api.core.Page page, String text) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `putPageText` in interface `org.apache.wiki.api.providers.PageProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### pageExists

public boolean pageExists(String page)
Deprecated.

Specified by:
  `pageExists` in interface `org.apache.wiki.api.providers.PageProvider`

### pageExists

public boolean pageExists(String page, int version)
Deprecated.

Specified by:
  `pageExists` in interface `org.apache.wiki.api.providers.PageProvider`

### findPages

public Collection<org.apache.wiki.api.search.SearchResult> findPages(org.apache.wiki.api.search.QueryItem[] query)
Deprecated.

Specified by:
  `findPages` in interface `org.apache.wiki.api.providers.PageProvider`

### getPageInfo

public org.apache.wiki.api.core.Page getPageInfo(String page, int version) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `getPageInfo` in interface `org.apache.wiki.api.providers.PageProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### getAllPages

public Collection<org.apache.wiki.api.core.Page> getAllPages() throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `getAllPages` in interface `org.apache.wiki.api.providers.PageProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### getAllChangedSince

public Collection<org.apache.wiki.api.core.Page> getAllChangedSince(Date date)
Deprecated.

Specified by:
  `getAllChangedSince` in interface `org.apache.wiki.api.providers.PageProvider`

### getPageCount

public int getPageCount() throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `getPageCount` in interface `org.apache.wiki.api.providers.PageProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### getVersionHistory

public List<org.apache.wiki.api.core.Page> getVersionHistory(String page) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `getVersionHistory` in interface `org.apache.wiki.api.providers.PageProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### getPageText

public String getPageText(String page, int version) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `getPageText` in interface `org.apache.wiki.api.providers.PageProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### deleteVersion

public void deleteVersion(String pageName, int version) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `deleteVersion` in interface `org.apache.wiki.api.providers.PageProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### deletePage

public void deletePage(String pageName) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `deletePage` in interface `org.apache.wiki.api.providers.PageProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`

### movePage

public void movePage(String from, String to) throws org.apache.wiki.api.exceptions.ProviderException
Deprecated.

Specified by:
  `movePage` in interface `org.apache.wiki.api.providers.PageProvider`
Throws:
  `org.apache.wiki.api.exceptions.ProviderException`